Menu API
Translations
Multi-language translations for inventory and menus
Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
locationId*number
Location ID
locale*string
Target language code
Value in
- "en"
- "sv"
- "no"
- "fi"
- "es"
- "de"
- "fr"
- "ar"
- "pl"
- "ru"
- "zh"
- "ja"
includeVariants?boolean
Include variant group translations
Default
falsepage?number
Page number for pagination
Range
1 <= valueDefault
1limit?number
Items per page (max 1000)
Range
1 <= value <= 1000Default
100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/translations/inventory?locationId=0&locale=en"{ "status": "success", "data": { "inventory": { "property1": { "title": "string", "description": "string", "ingredients": "string" }, "property2": { "title": "string", "description": "string", "ingredients": "string" } }, "variants": { "property1": { "title": "string", "choices": { "property1": { "title": "string" }, "property2": { "title": "string" } } }, "property2": { "title": "string", "choices": { "property1": { "title": "string" }, "property2": { "title": "string" } } } }, "metadata": { "totalItems": 0, "uniqueStrings": 0, "cacheHits": 0, "cacheMisses": 0, "executionTimeMs": 0 } }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}